Public Module SessionVars

#Region "Properties"

    Property ClientId(session As HttpSessionState) As Integer
        Get
            Return Logic.Conversion.ToInteger(session("ClientID"))
        End Get
        Set(value As Integer)
            session("ClientID") = value
        End Set
    End Property

    Property DriverId(session As HttpSessionState) As Integer
        Get
            Return Logic.Conversion.ToInteger(session("DriverID"))
        End Get
        Set(value As Integer)
            session("DriverID") = value
        End Set
    End Property

    Property PostLoginUrl(session As HttpSessionState) As String
        Get
            Return Logic.Conversion.ToString(session("PostLoginUrl"))
        End Get
        Set(value As String)
            session("PostLoginUrl") = value
        End Set
    End Property

    Property AppClientId(session As HttpSessionState) As Integer
        Get
            Return Logic.Conversion.ToInteger(session("AppClientID"))
        End Get
        Set(value As Integer)
            session("AppClientID") = value
        End Set
    End Property
#End Region

End Module
